
DeadDrop - Feature #41

Add Rescue Password

09/21/2023 06:01 PM - Sancho Fock

Status: Closed Start date: 11/17/2023

Priority: Normal Due date: 12/26/2023

Assignee: Sancho Fock % Done: 100%

Category: Client Estimated time: 8:00 hours

Target version: 0.5.x   

Description

The user shall be able to define a "rescue" Password if this one is entered at the login the messanger will clean up itself:

- all drops the client is not owner of shall be deleted

. all messages in drops the client owns shall be deleted

Related issues:

Precedes Feature #16: Protect Android Client by Biometrics New 01/24/2024 02/05/2024

Precedes Support #78: Deploy 0.5 New 01/16/2024 01/18/2024

Follows Feature #64: Encrypt Session Keys in the Database Closed 11/16/2023 11/16/2023

Precedes Feature #93: Add Client side logging for better debugging Closed 12/27/2023 12/29/2023

History

#1 - 10/07/2023 11:31 PM - Sancho Fock

- Tracker changed from Bug to Feature

- Target version changed from open to 0.6.x

#2 - 10/07/2023 11:34 PM - Sancho Fock

- Due date set to 10/24/2023

- Start date changed from 09/21/2023 to 10/24/2023

- Follows Feature #22: Customize End2End Encryption Options added

#3 - 10/07/2023 11:35 PM - Sancho Fock

- Precedes Feature #16: Protect Android Client by Biometrics added

#4 - 10/16/2023 12:15 AM - Sancho Fock

- Due date changed from 11/24/2023 to 11/28/2023

- Start date changed from 11/24/2023 to 11/28/2023

#5 - 10/16/2023 12:16 AM - Sancho Fock

- Due date changed from 11/28/2023 to 11/30/2023

- Start date changed from 11/28/2023 to 11/30/2023

#6 - 10/16/2023 12:17 AM - Sancho Fock

- Due date changed from 11/30/2023 to 12/20/2023

- Start date changed from 11/30/2023 to 12/20/2023

#7 - 10/16/2023 12:18 AM - Sancho Fock

- Due date changed from 12/20/2023 to 01/09/2024

- Start date changed from 12/20/2023 to 01/09/2024

#8 - 10/16/2023 12:18 AM - Sancho Fock

- Due date changed from 01/09/2024 to 01/29/2024

- Start date changed from 01/09/2024 to 01/29/2024
#9 - 10/16/2023 12:19 AM - Sancho Fock

- Due date changed from 01/29/2024 to 01/30/2024

#10 - 10/18/2023 12:49 PM - Sancho Fock

- Due date changed from 02/14/2024 to 02/20/2024

- Start date changed from 02/13/2024 to 02/19/2024

- Follows Feature #65: Encrypt client Side Keys added

#11 - 10/18/2023 12:49 PM - Sancho Fock

- Follows deleted (Feature #22: Customize End2End Encryption Options)

#12 - 10/18/2023 12:53 PM - Sancho Fock

- Due date changed from 02/21/2024 to 02/22/2024

- Start date changed from 02/20/2024 to 02/21/2024

#13 - 11/09/2023 10:31 PM - Sancho Fock

- Target version changed from 0.6.x to 0.5.x

#14 - 11/09/2023 10:41 PM - Sancho Fock

- Precedes Support #78: Deploy 0.5 added

#15 - 11/12/2023 10:17 PM - Sancho Fock

- Due date changed from 11/21/2023 to 11/23/2023

- Start date changed from 11/20/2023 to 11/22/2023

#16 - 11/12/2023 10:18 PM - Sancho Fock

- Due date changed from 11/23/2023 to 11/24/2023

- Start date changed from 11/22/2023 to 11/23/2023

#17 - 11/15/2023 01:05 AM - Sancho Fock

- Due date changed from 11/24/2023 to 11/22/2023

- Start date changed from 11/23/2023 to 11/21/2023

#18 - 11/16/2023 11:32 PM - Sancho Fock

- Follows deleted (Feature #65: Encrypt client Side Keys)

#19 - 11/16/2023 11:33 PM - Sancho Fock

- Due date changed from 11/22/2023 to 11/20/2023

- Start date changed from 11/21/2023 to 11/17/2023

- Follows Feature #64: Encrypt Session Keys in the Database added

#20 - 11/16/2023 11:33 PM - Sancho Fock

- Status changed from New to In Progress

- % Done changed from 0 to 40

#21 - 12/23/2023 11:45 AM - Sancho Fock

- Due date changed from 11/20/2023 to 12/24/2023

- % Done changed from 40 to 50

#22 - 12/23/2023 10:31 PM - Sancho Fock

- % Done changed from 50 to 60

#23 - 12/23/2023 11:15 PM - Sancho Fock

- % Done changed from 60 to 70
#24 - 12/26/2023 12:48 PM - Sancho Fock

- Due date changed from 12/24/2023 to 12/26/2023

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

#25 - 12/26/2023 12:54 PM - Sancho Fock

- Precedes Feature #93: Add Client side logging for better debugging added
